Subject: [bug#54069] [PATCH v2 3/4] gnu: libosinfo: Unbundle usb.ids, pci.ids.

From: Maxime Devos <[email-masked]>
Date: Sun, 27 Feb 2022 23:18:07 +0100

Ludovic Courtès schreef op zo 27-02-2022 om 22:23 [+0100]:
> I think this is equivalent to:
> 
>   #~(let* ((inputs #$(input-tuples->gexp (package-inputs this-package)))
>            …)
>       …)
> 
> Am I right?

That's what I suggested initially:

> > #~(let* ((inputs #$(input-tuples->gexp (package-inputs this-
> package)))
> >          (usb.ids (search-input-file inputs
> "/share/hwdata/usb.ids"))
> >          (pci.ids (search-input-file inputs
> "/share/hwdata/pci.ids")))
> >     (list (string-append "-Dwith-usb-ids-path=" usb.ids) [...]))
> > 
> 

However, that lead to errors -- strings like #<package foo [...]>
appeared in the builder.

Greetings,
Maxime.